Acekard 2.1 stupid questions

Discussion in 'Acekard' started by Toozin, Jun 10, 2010.

  1. Toozin
    OP

    Toozin Newbie

    Newcomer
    4
    0
    Jun 10, 2010
    United States
    Okay, so I just got an Acekard 2.1. The box claims (and I believe the website did as well) that it'll work on the DSi, but so far I haven't had any luck. It works great on my original DS, mind you. So, I guess I'm asking if there's any way that the 2.1 can work on a DSi, maybe with a firmware update or some such. Or will I have to get a 2i if I ever hope to do that?
     
  2. Salax

    Salax GBAtemp Regular

    Member
    265
    0
    Jan 16, 2010
    United States
    You need a 2i, and if the place you purchased it from put on the DSi compatible sticker I wouldn't recommend purchasing from them again.
     
  3. Toozin
    OP

    Toozin Newbie

    Newcomer
    4
    0
    Jun 10, 2010
    United States
    Oh, nuts. Oh well, I was kind of planning on getting another one anyway. Thanks for the fast reply!